Subject: Re: linux-next: Tree for June 13: IO APIC breakage on HP nx6325

From: Andi Kleen <[email-masked]>
Date: Mon, 30 Jun 2008 11:24:41 +0200

>  That is certainly true for standard hardware.  We have to take
> responsibility for own bugs, sure.  I cannot readily understand why you
> apparently try to imply hardware vendors do not.

Sorry Maciej, you're totally off base on that. On consumer hardware
vendors very rarely fix anything after release of the machine
and in general users expect Linux to work around any BIOS or
hardware bugs that happen (especially if it's a regression and worked
before)

So you either need to provide a workaround for the problem or your
patches should be reverted.

-Andi